For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve list of content standards for banner campaigns

Retrieves the list of content standards for banner campaigns based on the specified parameters, such as namespace, name, and content standard ID.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Retrieves the list of content standards for banner campaigns based on the specified parameters, such as namespace, name, and content standard ID."

Retrieve list of content standards for banner campaigns

List Banner content standard details

get

Retrieves Banner content standard details.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Query parameters
namespacestringRequired

The unique identifier of the namespace.

idstringOptional

The unique identifier of the Content Standard.

namestringOptional

The name of the Content Standard.

offsetstringOptional

The number of records to skip before starting to return results. Must be a non-negative integer.

limitstringOptional

The maximum number of records to return in a single response. Must be a positive integer.

Responses
200

Banner content standard details.

application/json
get/v3/banner-content-standards
GET /v3/banner-content-standards?namespace=text HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "contentStandards": [
    {
      "altTextLengthLimit": "10",
      "altTextStatus": "ALT_TEXT_STATUS_REQUIRED",
      "archived": true,
      "displayLogoFileId": "ABCD274HY",
      "displayName": "Shampoo Ad",
      "id": "Abcd-101",
      "namespace": "Dev11",
      "pdfFileId": "F1230UFH",
      "retailerTeamId": "2c96709a-47a7-45cd-837c-b3c241cf62a",
      "slotConfigurations": [
        {
          "height": 100,
          "imageFormat": [
            "IMAGE_FORMAT_PNG"
          ],
          "minClickPrice": 100,
          "minImpressionPrice": 100,
          "minImpressionPriceDecimal": "1.25",
          "shouldTargetProducts": true,
          "slotId": "Abcd-101",
          "width": 100
        }
      ],
      "textLengthLimit": "10",
      "textStatus": "ALT_TEXT_STATUS_REQUIRED",
      "websiteAddress": "http://abc.com"
    }
  ]
}